TLS API-Referenz
v1.6.2
OpenAPI herunterladen
Complete staged TLS certificate order
Complete an action-required TLS certificate order by binding it to an existing usable DigiCert organization and submitting the provider order.
POST
/tls/certificate/{certificate_id}/complete
TLSCertificatesByID

Authentifizierung

x-api-keyapplication/json

Parameter

Name
Typ
Format
Pflicht
Description
certificate_id
path
string
Pflicht
Public TLS certificate ID

Request Body

application/jsonPflicht
TLS certificate completion payload
tlsCertificateCompleteRequest
tlsCertificateCompleteRequest
{
  "org_id": "hdl_7K9QW3M2ZT8HJ"
}

Felder

Name
Typ
Format
Pflicht
Description
org_id
string
Pflicht
Public TLS organization ID

Request-Beispiel

POST
curl --request POST \
  --url 'https://api.regfish.com/tls/certificate/7K9QW3M2ZT8HJ/complete' \
  --header 'x-api-key: YOUR_API_KEY' \
  --header 'content-type: application/json' \
  --data '{
  "org_id": "hdl_7K9QW3M2ZT8HJ"
}'

Responses

200
TLS certificate order completed
application/jsontlsCertificateResponse
Response-Beispiel 200
{
  "success": true,
  "code": 0,
  "response": {
    "id": "7K9QW3M2ZT8HJ",
    "status": "pending",
    "common_name": "www.example.com",
    "product": "SecureSite",
    "provider": "digicert",
    "dns_names": [
      "www.example.com"
    ],
    "order_state": "PENDING",
    "action_required": false,
    "pending_reason": "validation_pending",
    "pending_message": "The TLS certificate order is waiting for domain validation.",
    "completion_url": "",
    "organization_id": "hdl_7K9QW3M2ZT8HJ",
    "validity_days": 199,
    "certificate_pem_available": false,
    "validation": {
      "method": "dns-cname-token",
      "dns_records": [
        {
          "name": "_dnsauth.example.com.",
          "type": "CNAME",
          "value": "0123456789abcdef.dcv.digicert.com."
        }
      ]
    }
  }
}
400
Invalid request payload or stored CSR
application/jsonError
Response-Beispiel 400
{
  "success": false,
  "message": "Invalid request payload or stored CSR",
  "error": "Invalid request payload or stored CSR"
}
401
Unauthorized
application/jsonError
Response-Beispiel 401
{
  "success": false,
  "message": "Unauthorized",
  "error": "Unauthorized"
}
404
TLS certificate or referenced renewal source not found
application/jsonError
Response-Beispiel 404
{
  "success": false,
  "message": "TLS certificate or referenced renewal source not found",
  "error": "TLS certificate or referenced renewal source not found"
}
409
The TLS certificate order cannot be completed in its current state
application/jsonError
Response-Beispiel 409
{
  "success": false,
  "message": "The TLS certificate order cannot be completed in its current state",
  "error": "The TLS certificate order cannot be completed in its current state"
}
500
Unexpected error
application/jsonError
Response-Beispiel 500
{
  "success": false,
  "message": "Unexpected error",
  "error": "Unexpected error"
}
502
Upstream TLS provider error
application/jsonError
Response-Beispiel 502
{
  "success": false,
  "message": "Upstream TLS provider error",
  "error": "Upstream TLS provider error"
}
Verwandte Modelle
Community

Werde ein Teil der Community

Das DNS API von Regfish ist die perfekte Lösung für Entwickler, die ihre Domains und DNS-Zonen automatisieren möchten. Werde Teil der Community und profitiere von den Vorteilen der DNS-Automatisierung. Das DNS API steht jedem Regfish-Kunden kostenlos zur Verfügung.